package com.ylx.massage.domain;

import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 认领表
 * </p>
 *
 * @author YJR
 * @since 2023-12-30
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName(value = "t_order",autoResultMap = true)
@ApiModel(value = "TOrder", description = "订单认领表")
public class TOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("c_id")
    @ApiModelProperty("cId")
    private String cId;

    /**
     * 技师id
     */
    @TableField("c_js_id")
    @ApiModelProperty("技师id")
    private String cJsId;

    /**
     * 用户openid
     */
    @TableField("c_open_id")
    @ApiModelProperty("用户openid")
    private String cOpenId;

    /**
     * 订单明细
     */
    @TableField(value = "c_goods",typeHandler = FastjsonTypeHandler.class)
    @ApiModelProperty("订单明细")
    private JSONArray cGoods;

    /**
     * 订单金额
     */
    @TableField("d_total_money")
    @ApiModelProperty("订单金额")
    private BigDecimal dTotalMoney;

    /**
     * 订单状态	待接单 0	服务中 1	待评价（已完成） 2	待付款 -1	已取消 -2	已拒绝 -3	已完成（已评价） 3
     */
    @TableField("n_status")
    @ApiModelProperty("订单状态\t待接单 0\t服务中 1\t待评价（已完成） 2\t待付款 -1\t已取消 -2\t已拒绝 -3\t已完成（已评价） 3")
    private Integer nStatus;

    /**
     * 地址
     */
    @TableField("c_address")
    @ApiModelProperty("地址")
    private String cAddress;

    /**
     * 姓名
     */
    @TableField("c_name")
    @ApiModelProperty("姓名")
    private String cName;

    /**
     * 电话
     */
    @TableField("c_phone")
    @ApiModelProperty("电话")
    private String cPhone;

    /**
     * 备注
     */
    @TableField("c_note")
    @ApiModelProperty("备注")
    private String cNote;

    /**
     * 时间
     */
    @TableField("c_time")
    @ApiModelProperty("时间")
    private String cTime;

    /**
     * 推荐者id
     */
    @TableField("c_tj_open_id")
    @ApiModelProperty("推荐者id")
    private String cTjOpenId;

    /**
     * 创建时间
     */
    @TableField("dt_create_time")
    @ApiModelProperty("创建时间")
    private LocalDateTime dtCreateTime;

    @TableField(exist = false)
    @ApiModelProperty("技师信息")
    private TJs js;

    @TableField(exist = false)
    @ApiModelProperty("用户信息")
    private TWxUser wxUser;

    public String getcId() {
        return cId;
    }

    public void setcId(String cId) {
        this.cId = cId;
    }

    public String getcJsId() {
        return cJsId;
    }

    public void setcJsId(String cJsId) {
        this.cJsId = cJsId;
    }

    public String getcOpenId() {
        return cOpenId;
    }

    public void setcOpenId(String cOpenId) {
        this.cOpenId = cOpenId;
    }

    public JSONArray getcGoods() {
        return cGoods;
    }

    public void setcGoods(JSONArray cGoods) {
        this.cGoods = cGoods;
    }

    public BigDecimal getdTotalMoney() {
        return dTotalMoney;
    }

    public void setdTotalMoney(BigDecimal dTotalMoney) {
        this.dTotalMoney = dTotalMoney;
    }

    public Integer getnStatus() {
        return nStatus;
    }

    public void setnStatus(Integer nStatus) {
        this.nStatus = nStatus;
    }

    public String getcAddress() {
        return cAddress;
    }

    public void setcAddress(String cAddress) {
        this.cAddress = cAddress;
    }

    public String getcName() {
        return cName;
    }

    public void setcName(String cName) {
        this.cName = cName;
    }

    public String getcPhone() {
        return cPhone;
    }

    public void setcPhone(String cPhone) {
        this.cPhone = cPhone;
    }

    public String getcNote() {
        return cNote;
    }

    public void setcNote(String cNote) {
        this.cNote = cNote;
    }

    public String getcTime() {
        return cTime;
    }

    public void setcTime(String cTime) {
        this.cTime = cTime;
    }

    public String getcTjOpenId() {
        return cTjOpenId;
    }

    public void setcTjOpenId(String cTjOpenId) {
        this.cTjOpenId = cTjOpenId;
    }

    public LocalDateTime getDtCreateTime() {
        return dtCreateTime;
    }

    public void setDtCreateTime(LocalDateTime dtCreateTime) {
        this.dtCreateTime = dtCreateTime;
    }

    public TJs getJs() {
        return js;
    }

    public void setJs(TJs js) {
        this.js = js;
    }

    public TWxUser getWxUser() {
        return wxUser;
    }

    public void setWxUser(TWxUser wxUser) {
        this.wxUser = wxUser;
    }
}
