package com.ylx.massage.enums;

/**
 * @author jianlong
 * @date 2024-03-27 11:51
 * 订单状态枚举
 */
public enum OrderStatusEnum {


    WAIT_JD(0, "待接单"),
    SERVICE(1, "服务中"),
    WAIT_EVALUATE(2, "待评价（已完成）"),
    COMPLETE(3, "已完成（已评价）"),
    WAIT_PAY(-1, "待付款"),
    CANCEL(-2, "已取消"),
    REFUSE(-3, "已拒绝");

    private final Integer code;
    private final String info;

    OrderStatusEnum(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

    public Integer getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }

}
